org.apache.hadoop.mapred.lib.aggregate

## Class LongValueMin

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.aggregate.LongValueMin
  - - org.apache.hadoop.mapred.lib.aggregate.LongValueMin

- All Implemented Interfaces:
    ValueAggregator<String>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class LongValueMin
      extends LongValueMin
      implements ValueAggregator<String>

  This class implements a value aggregator that maintain the minimum of a sequence of long values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongValueMin()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.aggregate.LongValueMin

      `addNextValue, addNextValue, getCombinerOutput, getReport, getVal, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregator

      `addNextValue, getCombinerOutput, getReport, reset`

- - ### Constructor Detail

    - #### LongValueMin

          public LongValueMin()

Copyright © 2022 Apache Software Foundation. All rights reserved.